GNU bug report logs - #22442
25.0.50; --with-cairo does not display PNG on GNU/Linux

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Paul Eggert <eggert@HIDDEN>; Keywords: help; merged with #21110; dated Sat, 23 Jan 2016 08:28:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) help. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 21110 22442. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 22442 <at> debbugs.gnu.org:


Received: (at 22442) by debbugs.gnu.org; 24 Jan 2016 08:49:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 24 03:49:40 2016
Received: from localhost ([127.0.0.1]:60982 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aNGMd-0002Nq-UG
	for submit <at> debbugs.gnu.org; Sun, 24 Jan 2016 03:49:40 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:43638)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eggert@HIDDEN>) id 1aNGMc-0002Nc-EA
 for 22442 <at> debbugs.gnu.org; Sun, 24 Jan 2016 03:49:38 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id DA2A71607DA;
 Sun, 24 Jan 2016 00:49:32 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id b5JykCpNNlgZ; Sun, 24 Jan 2016 00:49:31 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id AA8B2160819;
 Sun, 24 Jan 2016 00:49:31 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id JTSM_WYlQeY1; Sun, 24 Jan 2016 00:49:31 -0800 (PST)
Received: from [192.168.1.9] (pool-100-32-155-148.lsanca.fios.verizon.net
 [100.32.155.148])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 7D67C1607DA;
 Sun, 24 Jan 2016 00:49:31 -0800 (PST)
Subject: Re: [PATCH] Fix compilation erorr when --enable-gcc-warnings passed
To: Alexander Kuleshov <kuleshovmail@HIDDEN>
References: <1453460084-19646-1-git-send-email-kuleshovmail@HIDDEN>
 <56A2C41C.7030401@HIDDEN> <20160123062857.GA1205@localhost>
 <56A342F8.1080303@HIDDEN> <20160123120424.GB1446@localhost>
 <20160123123705.GC1446@localhost> <56A41F7F.4040404@HIDDEN>
 <20160124073459.GA29099@localhost>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <56A4901B.2030408@HIDDEN>
Date: Sun, 24 Jan 2016 00:49:31 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.5.1
MIME-Version: 1.0
In-Reply-To: <20160124073459.GA29099@localhost>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 22442
Cc: 22442 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Alexander Kuleshov wrote:
> Even without it I can't reproduce this bug. I've checkout to the previous
> commit (035bd8159fe5bcea15eacc8a23ab54f4bc3b6f17) and configured and
> built emacs with:
>
> ./configure --enable-link-time-optimization --without-pop \
> --without-kerberos --without-kerberos5 --without-hesiod   \
> --with-sound=alsa --with-x-toolkit=gtk3 --with-xpm --with-jpeg \
> --with-tiff --with-gif --with-png --with-rsvg --with-cairo     \
> --with-xml2 --with-imagemagick --with-xft --without-libotf     \
> --with-xim --with-xaw3d --with-dbus --without-gconf            \
> --without-gsettings --without-selinux --with-gnutls --with-zlib \
> --with-modules --with-file-notification=inotify --without-makeinfo \
> --with-x && make
>
> Than I've opened image as you described in thehttp://bugs.gnu.org/22442
> and it works perfectly for me.

I tried the same scenario and I get a blank image on the screen. Perhaps it 
depends on the imagemagick or cairo version or whatever. I'm running Emacs on 
Fedora 23 x86-64, and displaying on Ubuntu 15.10 x86-64 via an ssh -X link.

If I use the current emacs-25 commit () but keep everything else the same, Emacs 
displays the binary text of the image with a message in the bottom line "Cannot 
display image: (This Emacs mishandles this image file type)", which is what I 
would expect from the current code. I don't know why I wasn't observing this 
behavior earlier, but at least now I know that Bug#22442 is still kicking.

As Mark says, Bug#22442 and Bug#21110 are probably the same bug, so I'll merge 
them. I can't recommend --with-cairo at this point.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22442; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Jan 2016 06:39:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 24 01:39:15 2016
Received: from localhost ([127.0.0.1]:60957 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aNEKR-0007bD-2n
	for submit <at> debbugs.gnu.org; Sun, 24 Jan 2016 01:39:15 -0500
Received: from eggs.gnu.org ([208.118.235.92]:48124)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <mvoteiza@HIDDEN>) id 1aNEKP-0007b0-Th
 for submit <at> debbugs.gnu.org; Sun, 24 Jan 2016 01:39:14 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mvoteiza@HIDDEN>) id 1aNEKJ-0005Mg-SY
 for submit <at> debbugs.gnu.org; Sun, 24 Jan 2016 01:39:08 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:36181)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mvoteiza@HIDDEN>) id 1aNEKJ-0005Mb-Py
 for submit <at> debbugs.gnu.org; Sun, 24 Jan 2016 01:39:07 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:39094)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mvoteiza@HIDDEN>) id 1aNEKI-0001Pa-NI
 for bug-gnu-emacs@HIDDEN; Sun, 24 Jan 2016 01:39:07 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mvoteiza@HIDDEN>) id 1aNEKF-0005M2-IK
 for bug-gnu-emacs@HIDDEN; Sun, 24 Jan 2016 01:39:06 -0500
Received: from mail-qg0-x229.google.com ([2607:f8b0:400d:c04::229]:36841)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mvoteiza@HIDDEN>) id 1aNEKF-0005Ly-D0
 for bug-gnu-emacs@HIDDEN; Sun, 24 Jan 2016 01:39:03 -0500
Received: by mail-qg0-x229.google.com with SMTP id e32so88488621qgf.3
 for <bug-gnu-emacs@HIDDEN>; Sat, 23 Jan 2016 22:39:02 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=udel-edu.20150623.gappssmtp.com; s=20150623;
 h=from:to:subject:references:date:in-reply-to:message-id:user-agent
 :mime-version:content-type;
 bh=J2pXZ06q3HBgx6lXiAGKoErKCnYLemfxX766frJXhF4=;
 b=KGMj8AFurMLK2kF9pD7syu9ErF3C2BWBi7qZXUHrt5KrMBlU82gpy1jD6p1bNDdkEd
 Rj8YcaYJPVa4oc2SZ9x+zkWWnEv8oT04OZp/mebChkE7onTEyRNRgrYtecKy0hKUyJwA
 NO5w/WcfroKWz2/puEWVDQJEUZuteAow+xm9l0qMEN5zN/DoEcJihc63sRu1zx8uutzI
 Bp0YAWoO4Uul/yrWIPRBXlLrSne0LtbadymBE++L+eiC92g8VVqqyQAyPdZ06TIDRYqa
 bnCeMVkeMXnZ2PKP0yjauLzjwA/pusZfSw7F6aDj36rPfTIxgCEOoMAcL0tfUFyTF/Of
 J0og==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-type;
 bh=J2pXZ06q3HBgx6lXiAGKoErKCnYLemfxX766frJXhF4=;
 b=QeLXxNPw8dc1lJtcYjgluLHJGrkLKZfEao1lpx0nW/ZRQ5l4qSFoz3p4PHUib5thPo
 YZiA2ekM8jwk8YCIzGZkBER69hWz4n6Mrvx1N0q1JmwoMnW1Jr5UGY3wUeilj2bhj76r
 VnF3pn54ttT7gYAP9DY77yBg9ravTs59xlP4lG66CcJV2XVOi+OsH+BwZF//yQVtAE7U
 VEKAAjFu+LXYk4hMD5BwTCB8K6QzgD5j8uxVQwyXSyBwJKB6YxfuNfXT0F0YuyDu4bUq
 X/j/gBD06VtC1JpOB5DiBcHQXtOoFGc7rdCnHVNIAxrCSrylbcFKD4c3xofU+DQdE5lc
 u4nw==
X-Gm-Message-State: AG10YOQKd49laIpumX0GkN39vwJ9Pzx7oekhF6CnnjIV1KbRBJtcwMO7XPISVcA2kYb9js7D
X-Received: by 10.140.19.52 with SMTP id 49mr13753614qgg.65.1453617542552;
 Sat, 23 Jan 2016 22:39:02 -0800 (PST)
Received: from holos.localdomain (c-73-172-248-173.hsd1.md.comcast.net.
 [73.172.248.173])
 by smtp.gmail.com with ESMTPSA id l139sm6359357qhc.24.2016.01.23.22.39.01
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 23 Jan 2016 22:39:01 -0800 (PST)
Received: by holos.localdomain (Postfix, from userid 1000)
 id 803AB685F6; Sun, 24 Jan 2016 01:38:59 -0500 (EST)
From: Mark Oteiza <mvoteiza@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#22442: 25.0.50; --with-cairo does not display PNG on GNU/Linux
References: <56A3395C.4040208@HIDDEN> <56A41B57.4070008@HIDDEN>
Date: Sun, 24 Jan 2016 01:38:59 -0500
In-Reply-To: <56A41B57.4070008@HIDDEN> (Paul Eggert's message of "Sat, 23
 Jan 2016 16:31:19 -0800")
Message-ID: <87oacb32ik.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Paul Eggert <eggert@HIDDEN> writes:

> The bug appears to have been "fixed" by this commit:
>
> http://git.savannah.gnu.org/cgit/emacs.git/commit/?h=emacs-25&id=190d365f90d741b09e817d9878afd256505e1944
>
> I don't know how to explain this. Possibly Emacs tries to convert a
> pixel to RGB, this signals an error, and then Emacs falls back on
> something else that works. Hard to believe that this is the desired
> behavior, so I'll leave Bug#22442 open.

From ./configure --help it looks like emacs automatically picks up
imagemagick. This issue may be the same as reported in bug#21110




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22442; Package emacs. Full text available.

Message received at 22442 <at> debbugs.gnu.org:


Received: (at 22442) by debbugs.gnu.org; 24 Jan 2016 00:31:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 23 19:31:29 2016
Received: from localhost ([127.0.0.1]:60883 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aN8aX-0005Od-Os
	for submit <at> debbugs.gnu.org; Sat, 23 Jan 2016 19:31:29 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:33291)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eggert@HIDDEN>) id 1aN8aV-0005OR-Pi
 for 22442 <at> debbugs.gnu.org; Sat, 23 Jan 2016 19:31:28 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 0D501160688
 for <22442 <at> debbugs.gnu.org>; Sat, 23 Jan 2016 16:31:21 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id wvX0Hp4hFzFv for <22442 <at> debbugs.gnu.org>;
 Sat, 23 Jan 2016 16:31:20 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 119D01607DA
 for <22442 <at> debbugs.gnu.org>; Sat, 23 Jan 2016 16:31:20 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id MGufp1bhi1nz for <22442 <at> debbugs.gnu.org>;
 Sat, 23 Jan 2016 16:31:19 -0800 (PST)
Received: from [192.168.1.9] (pool-100-32-155-148.lsanca.fios.verizon.net
 [100.32.155.148])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id EAECF160688
 for <22442 <at> debbugs.gnu.org>; Sat, 23 Jan 2016 16:31:19 -0800 (PST)
To: 22442 <at> debbugs.gnu.org
From: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#22442: 25.0.50; --with-cairo does not display PNG on GNU/Linux
Organization: UCLA Computer Science Department
Message-ID: <56A41B57.4070008@HIDDEN>
Date: Sat, 23 Jan 2016 16:31:19 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.5.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 22442
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

The bug appears to have been "fixed" by this commit:

http://git.savannah.gnu.org/cgit/emacs.git/commit/?h=emacs-25&id=190d365f90d741b09e817d9878afd256505e1944

I don't know how to explain this. Possibly Emacs tries to convert a pixel to 
RGB, this signals an error, and then Emacs falls back on something else that 
works. Hard to believe that this is the desired behavior, so I'll leave 
Bug#22442 open.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22442; Package emacs. Full text available.

Message received at 22442 <at> debbugs.gnu.org:


Received: (at 22442) by debbugs.gnu.org; 23 Jan 2016 09:44:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 23 04:44:29 2016
Received: from localhost ([127.0.0.1]:58333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aMuk9-0004B5-Np
	for submit <at> debbugs.gnu.org; Sat, 23 Jan 2016 04:44:29 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:40175)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eggert@HIDDEN>) id 1aMuk8-0004At-FN
 for 22442 <at> debbugs.gnu.org; Sat, 23 Jan 2016 04:44:28 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id D9950160E73;
 Sat, 23 Jan 2016 01:44:22 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id qyRhmTEbDiQj; Sat, 23 Jan 2016 01:44:22 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 403E5160E74;
 Sat, 23 Jan 2016 01:44:22 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id 6ItxKbEg9Lkb; Sat, 23 Jan 2016 01:44:22 -0800 (PST)
Received: from [192.168.1.9] (pool-100-32-155-148.lsanca.fios.verizon.net
 [100.32.155.148])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 22D29160E73;
 Sat, 23 Jan 2016 01:44:22 -0800 (PST)
Subject: Re: bug#22442: 25.0.50; --with-cairo does not display PNG on GNU/Linux
To: Eli Zaretskii <eliz@HIDDEN>
References: <56A3395C.4040208@HIDDEN> <83mvrw6437.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <56A34B75.5070004@HIDDEN>
Date: Sat, 23 Jan 2016 01:44:21 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.5.1
MIME-Version: 1.0
In-Reply-To: <83mvrw6437.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 22442
Cc: 22442 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Eli Zaretskii wrote:
> should we perhaps say in NEWS
> that --with-cairo is still experimental?

Sounds good, thanks, I added a couple of lines to that effect.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22442; Package emacs. Full text available.

Message received at 22442 <at> debbugs.gnu.org:


Received: (at 22442) by debbugs.gnu.org; 23 Jan 2016 09:25:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 23 04:25:15 2016
Received: from localhost ([127.0.0.1]:58309 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aMuRW-0003ik-TN
	for submit <at> debbugs.gnu.org; Sat, 23 Jan 2016 04:25:15 -0500
Received: from eggs.gnu.org ([208.118.235.92]:41359)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1aMuRV-0003iW-IH
 for 22442 <at> debbugs.gnu.org; Sat, 23 Jan 2016 04:25:13 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1aMuRP-0007Yd-SY
 for 22442 <at> debbugs.gnu.org; Sat, 23 Jan 2016 04:25:08 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45451)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1aMuRI-0007T1-0w; Sat, 23 Jan 2016 04:25:00 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1821
 helo=HOME-C4E4A596F7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1aMuRE-00033Q-BZ; Sat, 23 Jan 2016 04:24:57 -0500
Date: Sat, 23 Jan 2016 11:25:15 +0200
Message-Id: <83lh7g641w.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
In-reply-to: <56A343E3.8010203@HIDDEN> (message from Paul Eggert on Sat, 
 23 Jan 2016 01:12:03 -0800)
Subject: Re: bug#22442: 25.0.50; --with-cairo does not display PNG on GNU/Linux
References: <1453460084-19646-1-git-send-email-kuleshovmail@HIDDEN>
 <56A2C41C.7030401@HIDDEN> <20160123062857.GA1205@localhost>
 <56A343E3.8010203@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22442
Cc: 22442 <at> debbugs.gnu.org, jan.h.d@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Paul Eggert <eggert@HIDDEN>
> Date: Sat, 23 Jan 2016 01:12:03 -0800
> Cc: Jan D <jan.h.d@HIDDEN>
> 
> I'll CC: this to Jan D. as he's expert in this area.

Alas, Jan is no longer working on Emacs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22442; Package emacs. Full text available.

Message received at 22442 <at> debbugs.gnu.org:


Received: (at 22442) by debbugs.gnu.org; 23 Jan 2016 09:24:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 23 04:24:20 2016
Received: from localhost ([127.0.0.1]:58305 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aMuQe-0003h0-K9
	for submit <at> debbugs.gnu.org; Sat, 23 Jan 2016 04:24:20 -0500
Received: from eggs.gnu.org ([208.118.235.92]:41228)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1aMuQc-0003gk-Il
 for 22442 <at> debbugs.gnu.org; Sat, 23 Jan 2016 04:24:18 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1aMuQU-0007JD-DF
 for 22442 <at> debbugs.gnu.org; Sat, 23 Jan 2016 04:24:13 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45447)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1aMuQU-0007J1-9X; Sat, 23 Jan 2016 04:24:10 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1820
 helo=HOME-C4E4A596F7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1aMuQS-00030I-AO; Sat, 23 Jan 2016 04:24:08 -0500
Date: Sat, 23 Jan 2016 11:24:28 +0200
Message-Id: <83mvrw6437.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
In-reply-to: <56A3395C.4040208@HIDDEN> (message from Paul Eggert on Sat, 
 23 Jan 2016 00:27:08 -0800)
Subject: Re: bug#22442: 25.0.50; --with-cairo does not display PNG on GNU/Linux
References: <56A3395C.4040208@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22442
Cc: 22442 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Paul Eggert <eggert@HIDDEN>
> Date: Sat, 23 Jan 2016 00:27:08 -0800
> 
> To reproduce the problem, configure Emacs --with-cairo, and then run these shell 
> commands:
> 
> wget https://upload.wikimedia.org/wikipedia/commons/f/f5/All_palaeotemps.png
> emacs -Q All_palaeotemps.png
> 
> Emacs shows a blank (or sometimes garbled) screen instead of the image.

Due to this and other issues with Cairo, and the lack of an active
developer who could work on fixing them, should we perhaps say in NEWS
that --with-cairo is still experimental?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22442; Package emacs. Full text available.

Message received at 22442 <at> debbugs.gnu.org:


Received: (at 22442) by debbugs.gnu.org; 23 Jan 2016 09:12:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 23 04:12:13 2016
Received: from localhost ([127.0.0.1]:58294 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aMuEv-0003NS-8M
	for submit <at> debbugs.gnu.org; Sat, 23 Jan 2016 04:12:13 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:39522)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eggert@HIDDEN>) id 1aMuEt-0003NC-8G
 for 22442 <at> debbugs.gnu.org; Sat, 23 Jan 2016 04:12:11 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 6E90F160E73;
 Sat, 23 Jan 2016 01:12:04 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id YAFPUwQBGvCT; Sat, 23 Jan 2016 01:12:03 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 5FDF0160E74;
 Sat, 23 Jan 2016 01:12:03 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id QSiBrd1CrQQS; Sat, 23 Jan 2016 01:12:03 -0800 (PST)
Received: from [192.168.1.9] (pool-100-32-155-148.lsanca.fios.verizon.net
 [100.32.155.148])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 414D7160E73;
 Sat, 23 Jan 2016 01:12:03 -0800 (PST)
Subject: Re: 25.0.50; --with-cairo does not display PNG on GNU/Linux
To: 22442 <at> debbugs.gnu.org
References: <1453460084-19646-1-git-send-email-kuleshovmail@HIDDEN>
 <56A2C41C.7030401@HIDDEN> <20160123062857.GA1205@localhost>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <56A343E3.8010203@HIDDEN>
Date: Sat, 23 Jan 2016 01:12:03 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.5.1
MIME-Version: 1.0
In-Reply-To: <20160123062857.GA1205@localhost>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 22442
Cc: Jan D <jan.h.d@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

I installed a patch which should make Bug#22442 easier to reproduce:

./configure --with-cairo --enable-checking
make
wget https://upload.wikimedia.org/wikipedia/commons/f/f5/All_palaeotemps.png
src/emacs -Q All_palaeotemps.png

This should make Emacs dump core.

I'll CC: this to Jan D. as he's expert in this area.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22442; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Jan 2016 08:27:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 23 03:27:29 2016
Received: from localhost ([127.0.0.1]:58289 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aMtXd-0002LQ-MG
	for submit <at> debbugs.gnu.org; Sat, 23 Jan 2016 03:27:29 -0500
Received: from eggs.gnu.org ([208.118.235.92]:59223)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eggert@HIDDEN>) id 1aMtXc-0002LE-8P
 for submit <at> debbugs.gnu.org; Sat, 23 Jan 2016 03:27:28 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eggert@HIDDEN>) id 1aMtXW-0003Fr-4Z
 for submit <at> debbugs.gnu.org; Sat, 23 Jan 2016 03:27:23 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:32966)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eggert@HIDDEN>) id 1aMtXW-0003Fn-1x
 for submit <at> debbugs.gnu.org; Sat, 23 Jan 2016 03:27:22 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50194)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eggert@HIDDEN>) id 1aMtXV-0000xW-5E
 for bug-gnu-emacs@HIDDEN; Sat, 23 Jan 2016 03:27:21 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eggert@HIDDEN>) id 1aMtXR-0003Fb-Ts
 for bug-gnu-emacs@HIDDEN; Sat, 23 Jan 2016 03:27:21 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:53201)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eggert@HIDDEN>) id 1aMtXR-0003FT-NO
 for bug-gnu-emacs@HIDDEN; Sat, 23 Jan 2016 03:27:17 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id CEA3C1607DA
 for <bug-gnu-emacs@HIDDEN>; Sat, 23 Jan 2016 00:27:14 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id FTwjmoZcVuje for <bug-gnu-emacs@HIDDEN>;
 Sat, 23 Jan 2016 00:27:13 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id D573E160E64
 for <bug-gnu-emacs@HIDDEN>; Sat, 23 Jan 2016 00:27:13 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id 9tI9TZElA8xI for <bug-gnu-emacs@HIDDEN>;
 Sat, 23 Jan 2016 00:27:13 -0800 (PST)
Received: from [192.168.1.9] (pool-100-32-155-148.lsanca.fios.verizon.net
 [100.32.155.148])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id B82AC1607DA
 for <bug-gnu-emacs@HIDDEN>; Sat, 23 Jan 2016 00:27:13 -0800 (PST)
To: Emacs bug reports and feature requests <bug-gnu-emacs@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Subject: 25.0.50; --with-cairo does not display PNG on GNU/Linux
Organization: UCLA Computer Science Department
Message-ID: <56A3395C.4040208@HIDDEN>
Date: Sat, 23 Jan 2016 00:27:08 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.5.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

To reproduce the problem, configure Emacs --with-cairo, and then run these shell 
commands:

wget https://upload.wikimedia.org/wikipedia/commons/f/f5/All_palaeotemps.png
emacs -Q All_palaeotemps.png

Emacs shows a blank (or sometimes garbled) screen instead of the image.

I think the problem is that lookup_rgb_color is returning garbage.

Here are more details about the configuration, built on Fedora 23 x86-64:

In GNU Emacs 25.0.50.55 (x86_64-unknown-linux-gnu, GTK+ Version 3.18.6, cairo 
version 1.14.2)
  of 2016-01-22 built on penguin.cs.ucla.edu
Repository revision: 27a0919cde7a6dce93aeba63b5ce7d0834f48531
Configured using:
  'configure --enable-gcc-warnings --with-cairo'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO IMAGEMAGICK SOUND GPM DBUS GCONF
GSETTINGS NOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF
XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11

Important settings:
   value of $LC_ALL: en_US.utf8
   value of $LC_COLLATE: en_US.UTF-8
   value of $LC_CTYPE: en_US.UTF-8
   value of $LC_MESSAGES: en_US.UTF-8
   value of $LANG: C
   locale-coding-system: utf-8-unix




Acknowledgement sent to Paul Eggert <eggert@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#22442; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 3 Aug 2016 18:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.